import { __name } from '../chunk-PAWJFY3S.mjs';
import { isObject } from './isObject.mjs';

function mergeObjects(objTarget, objSource) {
  for (const [key, value] of Object.entries(objSource)) {
    const targetValue = Reflect.get(objTarget, key);
    if (isObject(value)) {
      Reflect.set(objTarget, key, isObject(targetValue) ? mergeObjects(targetValue, value) : value);
    } else if (!isObject(targetValue)) {
      Reflect.set(objTarget, key, value);
    }
  }
  return objTarget;
}
__name(mergeObjects, "mergeObjects");

export { mergeObjects };
//# sourceMappingURL=mergeObjects.mjs.map
//# sourceMappingURL=mergeObjects.mjs.map