import { __name } from '../chunk-PAWJFY3S.mjs';
import { isFunction } from './isFunction.mjs';

function partition(array, predicate) {
  if (!Array.isArray(array)) throw new TypeError("entries must be an array.");
  if (!isFunction(predicate)) throw new TypeError("predicate must be an function that returns a boolean value.");
  const partitionOne = [];
  const partitionTwo = [];
  for (let i = 0; i < array.length; i++) {
    if (predicate(array[i], i)) {
      partitionOne.push(array[i]);
    } else {
      partitionTwo.push(array[i]);
    }
  }
  return [partitionOne, partitionTwo];
}
__name(partition, "partition");

export { partition };
//# sourceMappingURL=partition.mjs.map
//# sourceMappingURL=partition.mjs.map